<?php
/**
 * The template for displaying Comments.
 */
if ( post_password_required() )
    return;
?>
 
<div id="comments" class="comments-area">
 
    <?php if ( have_comments() ) : ?>
        <h3 class="comments-title">
            <?php
                printf( _nx( 'One thought on "%2$s"', '%1$s thoughts on "%2$s"', get_comments_number(), 'comments title', 'vvip' ),
                    number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
            ?>
        </h3>
 
        <ol class="comment-list">
            <?php
                wp_list_comments( array(
                    'style'       => 'ol',
                    'short_ping'  => true,
                    'avatar_size' => 74,
                ) );
            ?>
        </ol><!-- .comment-list -->
 
        <?php
        // Are there comments to navigate through?
        if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
        ?>
        <nav class="navigation comment-navigation" role="navigation">
            <h3 class="screen-reader-text section-heading"><?php _e( 'Comment navigation', 'vvip' ); ?></h3>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'vvip' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'vvip' ) ); ?></div>
        </nav><!-- .comment-navigation -->
        <?php endif; // Check for comment navigation ?>
 
        <?php if ( ! comments_open() && get_comments_number() ) : ?>
        <p class="no-comments"><?php _e( 'Comments are closed.' , 'vvip' ); ?></p>
        <?php endif; ?>
 
    <?php endif; // have_comments() ?>
 
    <?php 
    if ( comments_open() ) :
        $fields = array(
			
			'author' => '<div class="col col-sm-6"><input id="author" name="author" type="text" class="form-control" value="' . esc_attr( $commenter['comment_author'] ) . '" required="required" placeholder="Name*"/></div>',
				
			'email' => '<div class="col col-sm-6"><input id="email" name="email" class="form-control" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" required="required" placeholder="Email*"/></div>',
				
			'url' => '<div class="col col-sm-12"><input id="url" name="url" class="form-control" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" placeholder="Website"/></div>'
				
		);
		
		$args = array(
            'fields' => apply_filters( 'comment_form_default_fields', $fields ),
			'class_submit' => 'btn btn-default btn-style hvr-shutter-out-vertical',
            'label_submit' => __( 'Comment', 'vvip' ),
            'submit_field' => '<div class="col col-sm-12 text-center">%1$s %2$s</div>',
			'comment_field' => '<div class="col col-sm-12"><textarea id="comment" class="form-control" name="comment" rows="4" placeholder="Message*" required="required"></textarea></div>',

			
		);
		
		comment_form( $args ); 
    endif;
    ?>

 
</div><!-- #comments -->