<?php 


    if ( !defined('ABSPATH') ){
        exit();
    }

    /**
     * VVIPRequirePlugins
     */
    class VVIPRequirePlugins{

        public function __construct(){
            // require
            require_once(__DIR__ . '/tgm/class-tgm-plugin-activation.php');

            // TMG Hook
            add_action( 'tgmpa_register', array( $this, 'vvip_add_require_plugins' ) );
        }

        public function vvip_add_require_plugins(){

        	$plugins = array(
        		array(
        			'name' => __( 'Contact Form 7', 'vvip' ),
        			'slug' => 'contact-form-7',
        			'required' => true,
        			'external_url' => 'https://wordpress.org/plugins/contact-form-7/',
        			'force_deactivation' => true
        		),
        		array(
        			'name' => __( 'Visual Composer', 'vvip' ),
        			'slug' => 'js_composer',
        			'required' => true,
        			'source' => 'js_composer.zip',
        			'force_deactivation' => true
        		),
        		array(
        			'name' => __( 'Z-VVIP Core', 'vvip' ),
        			'slug' => 'vvip',
        			'required' => true,
        			'source' => 'http://synchrotheme.com/wp_plugins/vvip.zip',
        			'force_deactivation' => true
        		),
        		array(
        			'name' => __( 'One Click Demo Importer', 'vvip' ),
        			'slug' => 'one-click-demo-import',
        			'required' => true,
        			'external_url' => 'https://wordpress.org/plugins/theme-demo-import/',
        			'force_deactivation' => true
        		)
        	);
        	$config = array(
        		'id' => 'vvip_tmpg',
        		'default_path' => get_template_directory_uri() . '/lib/tgm/plugins/'
        	);

        	tgmpa( $plugins, $config );

        }

    }

    new VVIPRequirePlugins;